Index: /extensions/Autosize/admin/template/admin.tpl
===================================================================
--- /extensions/Autosize/admin/template/admin.tpl	(revision 7961)
+++ /extensions/Autosize/admin/template/admin.tpl	(revision 7962)
@@ -14,6 +14,7 @@
      var echelle_max = '{ $ECHELLE_MAX }';
      var mini_width = '{ $MINI_WIDTH   }';
-     var mini_height = '{ $MINI_HEIGHT   }';
-
+     var mini_height = '{ $MINI_HEIGHT }';
+     var mini_width2 = '{ $MINI_WIDTH2 }';
+     var mini_height2 = '{ $MINI_HEIGHT2 }';
      var webmaster_width = '{$webmaster_width   }';
      var webmaster_height = '{ $webmaster_height   }';
@@ -129,5 +130,5 @@
    <fieldset>
   	<legend class="cluetip" title="{'cl_autosize_config_title_2'|@translate}|{'cl_autosize_hlp_line2'|@translate}">{'cl_autosize_config_title_2'|@translate}</legend>
- 
+
     <!--======== Dimensions HL ===================-->	
     <tr> 
@@ -139,4 +140,14 @@
    <td  >
     <input name="mini_width"  id="mini_width" type="text" value =  "{$MINI_WIDTH}" /> px
+       </tr>
+    <!--======== Dimensions HL2 ===================-->	
+    <tr> 
+      <td class="cluetip" title="{'cl_autosize_miniheight2'|@translate}|{'cl_autosize_hlp_line32'|@translate}" >{'cl_autosize_miniheight2'|translate}</td>
+      <td ><input name="mini_height2" id="Text2" type="text"  value ="{$MINI_HEIGHT2}" /> px 
+           </td> 
+	 
+     <td class="cluetip" title="{'cl_autosize_miniwidth2'|translate}|{'cl_autosize_hlp_line32'|@translate}"  > {'cl_autosize_miniwidth2'|translate}</td>
+   <td  >
+    <input name="mini_width2"  id="Text4" type="text" value =  "{$MINI_WIDTH2}" /> px
        </tr>
    <!--======== Positions  ===================-->	
Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7961)
+++ /extensions/Autosize/autosize.inc.php	(revision 7962)
@@ -143,6 +143,6 @@
 		if ( !empty($content) )   {  return $content;  }	
 		if ($ThePicture['is_picture'] <> 1 )  	{  return $content;  ; }	
- 
-		$autosizejs = '<script type="text/javascript" id="jquery" charset="utf-8"  src="';
+ $autosizejs ='<!--- cl_autosize_script_3 -->';
+		$autosizejs = $autosizejs.'<script type="text/javascript" id="jquery" charset="utf-8"  src="';
 		$autocss =   $autosizejs.'themes/default/js/jquery.packed.js"></script>'."\n"; 
 		$template->append('head_elements',$autocss);
@@ -188,18 +188,21 @@
  //============================================================
  /*
-  *
+  *  cl_autosize_script
  */
  static public function cl_autosize_script()
 	{
 	   global  $template,$user,$conf,$picture ,$page, $cl_plugin ;
+
 	   	$my_path =  basename(dirname(__FILE__)).'/' ;
 	    $my_path = dirname(__FILE__).'/';
 		$template->set_filenames(array('autosize_init'=>$my_path. "template/conflit.tpl" ) );	
 		$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-		
+		$autosize_parametres =	 cl_autosize_Get_Options() ;			
 		$theme=$user['theme'];
 			 
   		$template->assign(
   						array( 
+						'cl_conflit_parametres' => $cl_conflit_parametres ,
+						'cl_plugins' => $cl_plugin ,
 						'cl_version' => $cl_plugin['version'] ,
 						'name' => $cl_plugin['name'] ,
@@ -271,56 +274,64 @@
   global $autosize_parametres;
 //=============================================================================
-$autosize_parametres->webmaster_height =(isset($_POST['webmaster_height'])) ? $_POST['webmaster_height'] : ((isset($autosize_parametres->webmaster_height )) ? $autosize_parametres->webmaster_height : '100%' ) ;
-$autosize_parametres->webmaster_width=(isset($_POST['webmaster_width']))? $_POST['webmaster_width']: ((isset($autosize_parametres->webmaster_width)) ? $autosize_parametres->webmaster_width:  '90%') ;
-
-$autosize_parametres->admin_height =(isset($_POST['admin_height'])) ? $_POST['admin_height'] : ((isset($autosize_parametres->admin_height )) ? $autosize_parametres->admin_height : '90%' ) ;
-$autosize_parametres->admin_width=(isset($_POST['admin_width']))? $_POST['admin_width']: ((isset($autosize_parametres->admin_width)) ? $autosize_parametres->admin_width:  '90%') ;
-
-$autosize_parametres->generic_height =(isset($_POST['generic_height'])) ? $_POST['generic_height'] : ((isset($autosize_parametres->generic_height )) ? $autosize_parametres->generic_height : '100%' ) ;
-$autosize_parametres->generic_width=(isset($_POST['generic_width']))? $_POST['generic_width']: ((isset($autosize_parametres->generic_width)) ? $autosize_parametres->generic_width:  '90%') ;
-
-$autosize_parametres->guest_height =(isset($_POST['guest_height'])) ? $_POST['guest_height'] : ((isset($autosize_parametres->guest_height )) ? $autosize_parametres->guest_height : '100%' ) ;
-$autosize_parametres->guest_width=(isset($_POST['guest_width']))? $_POST['guest_width']: ((isset($autosize_parametres->guest_width)) ? $autosize_parametres->guest_width:  '90%') ;
-
-$autosize_parametres->normal_height =(isset($_POST['normal_height'])) ? $_POST['normal_height'] : ((isset($autosize_parametres->normal_height )) ? $autosize_parametres->normal_height : '100%' ) ;
-$autosize_parametres->normal_width=(isset($_POST['normal_width']))? $_POST['normal_width']: ((isset($autosize_parametres->normal_width)) ? $autosize_parametres->normal_width:  '90%') ;
-
-
-$autosize_parametres->mini_height =(isset($_POST['mini_height'])) ? $_POST['mini_height'] : ((isset($autosize_parametres->mini_height )) ? $autosize_parametres->mini_height : '150' ) ;
-$autosize_parametres->mini_width=(isset($_POST['mini_width']))? $_POST['mini_width']: ((isset($autosize_parametres->mini_width)) ? $autosize_parametres->mini_width:  '300') ;
-
-$autosize_parametres->echelle_max=(isset($_POST['echelle_max']))? $_POST['echelle_max'] : ((isset($autosize_parametres->echelle_max)) ? $autosize_parametres->echelle_max :  '1.2'); 
-$autosize_parametres->marge_basse=(isset($_POST['marge_basse']))? $_POST['marge_basse']: ((isset($autosize_parametres->marge_basse)) ? $autosize_parametres->marge_basse :  '50');
-$autosize_parametres->fade_in=(isset($_POST['fade_in']))? $_POST['fade_in']: ((isset($autosize_parametres->fade_in)) ? $autosize_parametres->fade_in :  '200');
+$my_para=$autosize_parametres;
+
+$my_para->query =(isset($_POST['query'])) ? $_POST['query'] : ((isset($my_para->query )) ? $my_para->query : 'Qt' ) ;
+$my_para->type=(isset($_POST['type']))? $_POST['type']: ((isset($my_para->type)) ? $my_para->type:  'Ty') ;
+
+$my_para->webmaster_height =(isset($_POST['webmaster_height'])) ? $_POST['webmaster_height'] : ((isset($my_para->webmaster_height )) ? $my_para->webmaster_height : '100%' ) ;
+$my_para->webmaster_width=(isset($_POST['webmaster_width']))? $_POST['webmaster_width']: ((isset($my_para->webmaster_width)) ? $my_para->webmaster_width:  '90%') ;
+
+$my_para->admin_height =(isset($_POST['admin_height'])) ? $_POST['admin_height'] : ((isset($my_para->admin_height )) ? $my_para->admin_height : '90%' ) ;
+$my_para->admin_width=(isset($_POST['admin_width']))? $_POST['admin_width']: ((isset($my_para->admin_width)) ? $my_para->admin_width:  '90%') ;
+
+$my_para->generic_height =(isset($_POST['generic_height'])) ? $_POST['generic_height'] : ((isset($my_para->generic_height )) ? $my_para->generic_height : '100%' ) ;
+$my_para->generic_width=(isset($_POST['generic_width']))? $_POST['generic_width']: ((isset($my_para->generic_width)) ? $my_para->generic_width:  '90%') ;
+
+$my_para->guest_height =(isset($_POST['guest_height'])) ? $_POST['guest_height'] : ((isset($my_para->guest_height )) ? $my_para->guest_height : '100%' ) ;
+$my_para->guest_width=(isset($_POST['guest_width']))? $_POST['guest_width']: ((isset($my_para->guest_width)) ? $my_para->guest_width:  '90%') ;
+
+$my_para->normal_height =(isset($_POST['normal_height'])) ? $_POST['normal_height'] : ((isset($my_para->normal_height )) ? $my_para->normal_height : '100%' ) ;
+$my_para->normal_width=(isset($_POST['normal_width']))? $_POST['normal_width']: ((isset($my_para->normal_width)) ? $my_para->normal_width:  '90%') ;
+
+
+$my_para->mini_height =(isset($_POST['mini_height'])) ? $_POST['mini_height'] : ((isset($my_para->mini_height )) ? $my_para->mini_height : '150' ) ;
+$my_para->mini_width=(isset($_POST['mini_width']))? $_POST['mini_width']: ((isset($my_para->mini_width)) ? $my_para->mini_width:  '300') ;
+
+$my_para->mini_height2 =(isset($_POST['mini_height2'])) ? $_POST['mini_height2'] : ((isset($my_para->mini_height2 )) ? $my_para->mini_height2 : '150' ) ;
+$my_para->mini_width2=(isset($_POST['mini_width2']))? $_POST['mini_width2']: ((isset($my_para->mini_width2)) ? $my_para->mini_width2:  '300') ;
+
+$my_para->echelle_max=(isset($_POST['echelle_max']))? $_POST['echelle_max'] : ((isset($my_para->echelle_max)) ? $my_para->echelle_max :  '1.2'); 
+$my_para->marge_basse=(isset($_POST['marge_basse']))? $_POST['marge_basse']: ((isset($my_para->marge_basse)) ? $my_para->marge_basse :  '50');
+$my_para->fade_in=(isset($_POST['fade_in']))? $_POST['fade_in']: ((isset($my_para->fade_in)) ? $my_para->fade_in :  '200');
 
 //===============================================================================	
 
 if ( isset($_POST['submit'] ) && $_POST['submit'] == l10n('cl_autosize_save') )  {  
-		$autosize_parametres->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : "off" ;
-		$autosize_parametres->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : "off" ;
- 		$autosize_parametres->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : "off" ;
-
-		$autosize_parametres->webmaster_enabled = isset($_POST['webmaster_enabled']) ? $_POST['webmaster_enabled'] : "off" ;
-		$autosize_parametres->admin_enabled = isset($_POST['admin_enabled']) ? $_POST['admin_enabled'] : "off" ;
-		$autosize_parametres->generic_enabled = isset($_POST['generic_enabled']) ? $_POST['generic_enabled'] : "off" ;
-		$autosize_parametres->guest_enabled = isset($_POST['guest_enabled']) ? $_POST['guest_enabled'] : "off" ;
-		$autosize_parametres->normal_enabled = isset($_POST['normal_enabled']) ? $_POST['normal_enabled'] : "off" ;
+		$my_para->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : "off" ;
+		$my_para->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : "off" ;
+ 		$my_para->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : "off" ;
+
+		$my_para->webmaster_enabled = isset($_POST['webmaster_enabled']) ? $_POST['webmaster_enabled'] : "off" ;
+		$my_para->admin_enabled = isset($_POST['admin_enabled']) ? $_POST['admin_enabled'] : "off" ;
+		$my_para->generic_enabled = isset($_POST['generic_enabled']) ? $_POST['generic_enabled'] : "off" ;
+		$my_para->guest_enabled = isset($_POST['guest_enabled']) ? $_POST['guest_enabled'] : "off" ;
+		$my_para->normal_enabled = isset($_POST['normal_enabled']) ? $_POST['normal_enabled'] : "off" ;
 
 	 }else{
-		$autosize_parametres->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : ( ( isset($autosize_parametres->check_desc_v) ) ? $autosize_parametres->check_desc_v :   'off') ;  
-		$autosize_parametres->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : ( ( isset($autosize_parametres->check_icon_v) ) ? $autosize_parametres->check_icon_v :   'off') ;  
-		$autosize_parametres->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : ( ( isset($autosize_parametres->check_auto_w) ) ? $autosize_parametres->check_auto_w :   'off') ;  
-
-
-$autosize_parametres->webmaster_enabled = isset($_POST['webmaster_enabled']) ? $_POST['webmaster_enabled'] : ( ( isset($autosize_parametres->webmaster_enabled) ) ? $autosize_parametres->webmaster_enabled :   'on') ;  
-$autosize_parametres->admin_enabled  = isset($_POST['admin_enabled ']) ? $_POST['admin_enabled '] : ( ( isset($autosize_parametres->admin_enabled ) ) ? $autosize_parametres->admin_enabled :   'on') ;  
-$autosize_parametres->generic_enabled = isset($_POST['generic_enabled']) ? $_POST['generic_enabled'] : ( ( isset($autosize_parametres->generic_enabled) ) ? $autosize_parametres->generic_enabled :   'on') ;  
-$autosize_parametres->guest_enabled = isset($_POST['guest_enabled']) ? $_POST['guest_enabled'] : ( ( isset($autosize_parametres->guest_enabled) ) ? $autosize_parametres->guest_enabled :   'on') ;
-$autosize_parametres->normal_enabled = isset($_POST['normal_enabled']) ? $_POST['normal_enabled'] : ( ( isset($autosize_parametres->normal_enabled) ) ? $autosize_parametres->normal_enabled :   'on') ;  
+		$my_para->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : ( ( isset($my_para->check_desc_v) ) ? $my_para->check_desc_v :   'off') ;  
+		$my_para->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : ( ( isset($my_para->check_icon_v) ) ? $my_para->check_icon_v :   'off') ;  
+		$my_para->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : ( ( isset($my_para->check_auto_w) ) ? $my_para->check_auto_w :   'off') ;  
+
+
+$my_para->webmaster_enabled = isset($_POST['webmaster_enabled']) ? $_POST['webmaster_enabled'] : ( ( isset($my_para->webmaster_enabled) ) ? $my_para->webmaster_enabled :   'on') ;  
+$my_para->admin_enabled  = isset($_POST['admin_enabled ']) ? $_POST['admin_enabled '] : ( ( isset($my_para->admin_enabled ) ) ? $my_para->admin_enabled :   'on') ;  
+$my_para->generic_enabled = isset($_POST['generic_enabled']) ? $_POST['generic_enabled'] : ( ( isset($my_para->generic_enabled) ) ? $my_para->generic_enabled :   'on') ;  
+$my_para->guest_enabled = isset($_POST['guest_enabled']) ? $_POST['guest_enabled'] : ( ( isset($my_para->guest_enabled) ) ? $my_para->guest_enabled :   'on') ;
+$my_para->normal_enabled = isset($_POST['normal_enabled']) ? $_POST['normal_enabled'] : ( ( isset($my_para->normal_enabled) ) ? $my_para->normal_enabled :   'on') ;  
 
 
    }
 
-return $autosize_parametres;
+return $my_para;
 }
 	/*
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 7961)
+++ /extensions/Autosize/include/affiche.php	(revision 7962)
@@ -28,6 +28,11 @@
                     'IMG_WIDTH' 	=> $img_width,
                     'IMG_HEIGHT'	=> $img_height,
+
+
                     'MINI_HEIGHT' => $autosize_parametres->mini_height,
                     'MINI_WIDTH' 	=> $autosize_parametres->mini_width,
+					 'MINI_HEIGHT2' => $autosize_parametres->mini_height2,
+                    'MINI_WIDTH2' 	=> $autosize_parametres->mini_width2,
+
                     'MARGE_BASSE' => $autosize_parametres->marge_basse,
                     'ECHELLE_MAX' => $autosize_parametres->echelle_max,
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7961)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7962)
@@ -214,4 +214,5 @@
                  //=================================================================
 
+
                  var winwidth = jQuery(window).width();
                  var winheight = jQuery(window).height();
@@ -410,7 +411,10 @@
                  miniHeight = jQuery(TheImg).Get_Val_int(jQuery(TheImg).css("min-height"), mini_height);
 
+                 var miniWidth2 = jQuery(TheImg).Get_Val_int(jQuery(TheImg).css("min-width"), mini_width2);
+                 var miniHeight2 = jQuery(TheImg).Get_Val_int(jQuery(TheImg).css("min-height"), mini_height2);
 
                  var maxWidth = jQuery(TheImg).Get_Val_int(jQuery(TheImg).css("max-width"), winwidth, "0");
                  maxHeight = jQuery(TheImg).Get_Val_int(jQuery(TheImg).css("max-height"), winheight, "0");
+
 
                  mini_width = parseInt(miniWidth);
@@ -481,16 +485,22 @@
                  h = 0;
 
-                 Zone_Affichage.height -= (Zone_Affichage.padding.bottom + Zone_Affichage.padding.top + Zone_Affichage.margin.top + Zone_Affichage.margin.bottom);
-                 Bandeau = Bandeau_t.bottom;
-                 Zone_Affichage.height = winheight - Bandeau - Marge_Basse - correction;
+                 h = (Zone_Affichage.padding.bottom + Zone_Affichage.padding.top + Zone_Affichage.margin.top + Zone_Affichage.margin.bottom);
+                 Bandeau = Bandeau_t.img_top;
+                 Zone_Affichage.height = winheight - Bandeau - Marge_Basse - correction - h;
+                 //=========================================================================
+                 if (Zone_Affichage.height < mini_height)
+                     Zone_Affichage.height = mini_height2;
+                 if (Zone_Affichage.width < mini_width)
+                     Zone_Affichage.width = mini_width2;
+                 //=========================================================================
                  if (typeof (Bandeau_bas) != "undefined") {
-                     var Image_height = Zone_Affichage.height - Bandeau_bas.height - Bandeau_bas.marge.top - Bandeau_bas.marge.bottom;
+                     Zone_Affichage.height -= (Bandeau_bas.height + Bandeau_bas.marge.top + Bandeau_bas.marge.bottom);
 
 
                  } else {
-                     var Image_height = Zone_Affichage.height;
-                 }
-
-
+
+                 }
+
+                 var Image_height = Zone_Affichage.height;
 
                  //=============================================================
@@ -534,5 +544,7 @@
                      else
                          widthmin = parseInt(width_user);
+
                      var marges = marges_llgbo;
+
                      if (typeof (info_img) != "undefined") {
                          widthmin -= info_img.borderwidth.left || 0;
@@ -540,4 +552,6 @@
                      }
                      widthmin -= marges;
+                     widthmin -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
+                     Image_width -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
                      if (Image_width > widthmin) {
                          //   Image_width largeur à atteindre 
@@ -558,5 +572,6 @@
                  //===================================================
 
-
+                 img_finale.height = Image_height;
+                 img_finale.width = Image_width;
 
                  zoom = echelle;
@@ -572,7 +587,33 @@
                      if (TheImg.src) {
 
-                         Image_width -= marges_llgbo; // réduction frame
-                         Image_height -= marges_llgbo; // réduction frame
+                         img_finale.width -= (marges_llgbo); // réduction frame
+                         img_finale.height -= (marges_llgbo); // réduction frame
+
                          if (rapport > 1) {
+                             if (img_finale.width > winwidth) {
+                                 jQuery("#gbo").width(winwidth);
+                                 jQuery("#gbo").height(winheight);
+                                 jQuery("#gbo").css("width", winwidth + "px");
+                                 jQuery("#gbo").css("height", winheight + "px");
+                             }
+                             else {
+                                 jQuery("#gbo").width(img_finale.width);
+                                 jQuery("#gbo").height(img_finale.height);
+                                 jQuery("#gbo").css("width", img_finale.width + "px");
+                                 jQuery("#gbo").css("height", img_finale.height + "px");
+                             }
+
+                             t1 = jQuery("#gbo div:last").infos();
+
+                             img_finale.width = t1.width - (t1.borderwidth.left + t1.borderwidth.right);
+                             img_finale.height = parseInt(img_finale.width / rapport);
+
+                             jQuery("#gbo").height(Image_height);
+                             jQuery("#gbo").css("height", (Image_height) + "px");
+
+
+                         } else {
+                             img_finale.width -= (marges_llgbo / 2); // réduction frame
+                             img_finale.height -= (marges_llgbo / 2); // réduction frame
                              if (Image_width > winwidth) {
                                  jQuery("#gbo").width(winwidth);
@@ -582,44 +623,22 @@
                              }
                              else {
-                                 jQuery("#gbo").width(Image_width);
-                                 jQuery("#gbo").height(Image_height);
-                                 jQuery("#gbo").css("width", Image_width + "px");
-                                 jQuery("#gbo").css("height", Image_height + "px");
+                                 jQuery("#gbo").width(img_finale.width);
+                                 jQuery("#gbo").height(img_finale.height);
+                                 jQuery("#gbo").css("width", img_finale.width + "px");
+                                 jQuery("#gbo").css("height", img_finale.height + "px");
                              }
 
-                             t1 = jQuery("#gbo div:last").infos();
-
-                             Image_width = t1.width - (t1.borderwidth.left + t1.borderwidth.right);
-                             Image_height = parseInt(Image_width / rapport);
-
-                             jQuery("#gbo").height(Image_height + marges_llgbo);
-                             jQuery("#gbo").css("height", (Image_height + marges_llgbo) + "px");
-
-
-                         } else {
-                             Image_width -= (marges_llgbo / 2); // réduction frame
-                             Image_height -= (marges_llgbo / 2); // réduction frame
-                             if (Image_width > winwidth) {
-                                 jQuery("#gbo").width(winwidth);
-                                 jQuery("#gbo").height(winheight);
-                                 jQuery("#gbo").css("width", winwidth + "px");
-                                 jQuery("#gbo").css("height", winheight + "px");
-                             }
-                             else {
-                                 jQuery("#gbo").width(Image_width);
-                                 jQuery("#gbo").height(Image_height);
-                                 jQuery("#gbo").css("width", Image_width + "px");
-                                 jQuery("#gbo").css("height", Image_height + "px");
-                             }
-
-
-                             jQuery("#gbo").css("height", (Image_height + marges_llgbo) + "px");
-                             jQuery("#gbo").height(Image_height + marges_llgbo);
-
-                             jQuery("#gbo").css("width", Image_width + marges_llgbo + "px");
-                             jQuery("#gbo").width(Image_width + marges_llgbo);
-
-
-                         }
+
+                             jQuery("#gbo").css("height", (img_finale.height + marges_llgbo) + "px");
+                             jQuery("#gbo").height(img_finale.height + marges_llgbo);
+
+                             jQuery("#gbo").css("width", img_finale.width + marges_llgbo + "px");
+                             jQuery("#gbo").width(img_finale.width + marges_llgbo);
+
+
+                         }
+                         Zone_Affichage.height = jQuery("#gbo").outerHeight(true)
+
+                         //=============================================================
                          //  jQuery(Parent + " p:not(:contains(' ')) ").remove();
                          a0 = jQuery("area[rel!=up][rel!=prev][rel!=next]");
@@ -636,6 +655,6 @@
 
 
-                         var Largeur_zone = (Image_width / nb_zone);
-                         var Hauteur_zone = (Image_height);
+                         var Largeur_zone = (img_finale.width / nb_zone);
+                         var Hauteur_zone = (img_finale.height);
                          var init_zone = 0;
 
@@ -647,5 +666,5 @@
                          }
 
-                         coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: Image_height };
+                         coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
 
                          if (a0.length > 0) {
@@ -658,5 +677,5 @@
 
                          if (a2.length > 0) {
-                             coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: Image_height };
+                             coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
                              jQuery("area[rel=next]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
                          }
@@ -665,5 +684,5 @@
 
                  //================ Zone affichage =========================
- 
+
                  if (theme.match(RegExp("luciano", "g"))) {
                      //---- information en dehors du cadre 
@@ -678,13 +697,16 @@
 
 
-                 jQuery(Cadre).width(Zone_Affichage.width - 4);
-
-                 //============= Remise à l'échelle =======================
-
-                 img_finale.height = Image_height;
-                 img_finale.width = Image_width;
+
+
+                 //========== Image Remise à l'échelle =======================
+
+                 Image_height = img_finale.height;
+                 Image_width = img_finale.width;
+
+
 
                  //=========================================================================
-
+                 jQuery(Cadre).width(Zone_Affichage.width);
+                 //   jQuery(Cadre).height(Zone_Affichage.height);
 
                  if (typeof (gmaps) != "undefined") {
@@ -712,9 +734,9 @@
                          pdf += p1.padding.right + p1.padding.left;
                      });
-
+                     img_finale.width -= pdf;
 
                      jQuery("#charlie").css({
-                         width: Image_width + pdf,
-                         height: Image_height,
+                         width: img_finale.width + pdf,
+                         height: img_finale.height,
                          margin: "auto"
                      });
@@ -722,13 +744,13 @@
 
 
-                     jQuery("#player").css("width", Image_width + 100 + "px");
-                     jQuery("#player").css("height", Image_height);
-
-                     jQuery("#embedplayer").css("width", Image_width);
-                     jQuery("#embedplayer").css("height", Image_height);
-
-
-                     jQuery("object").width(Image_width);
-                     jQuery("object").height(Image_height);
+                     jQuery("#player").css("width", img_finale.width + "px");
+                     jQuery("#player").css("height", img_finale.height);
+
+                     jQuery("#embedplayer").css("width", img_finale.width);
+                     jQuery("#embedplayer").css("height", img_finale.height);
+
+
+                     jQuery("object").width(img_finale.width);
+                     jQuery("object").height(img_finale.height);
 
 
@@ -738,5 +760,5 @@
                      // jQuery(TheImg).height(img_finale.height);
                      // jQuery(TheImg).width(img_finale.width);
-                     jQuery("#Panorama div").height(Image_height);
+                     jQuery("#Panorama div").height(img_finale.height);
                      //  class=simple_panorama
 
@@ -790,5 +812,5 @@
                      info_frame = jQuery(myPamoorama.frame).infos();
 
-                     zoom = Image_height / img_height;
+                     zoom = img_finale.height / img_height;
 
 
@@ -797,5 +819,7 @@
                      jQuery(TheImg).height(img_finale.height);
                      jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css({ height: img_finale.height + "px ", width: img_finale.width + "px " });
+                     jQuery(TheImg).css({ height: img_finale.height + "px ",
+                         width: img_finale.width + "px "
+                     });
 
 
@@ -804,10 +828,11 @@
                      jQuery(TheImg).height(img_finale.height);
                      jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css({ height: img_finale.height + "px ", width: img_finale.width + "px " });
-
-                 }
-
-                 info_frame = Zone_Affichage;
-                 h0 = jQuery(Cadre).outerHeight(true);
+                     jQuery(TheImg).css({ height: img_finale.height + "px ",
+                         width: img_finale.width + "px "
+                     });
+
+                 }
+
+
 
 
@@ -868,13 +893,25 @@
                      jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
                  }
+                 info_frame = jQuery("#the_page").infos();
+
                  if (DEBUG == "true") {
-                     //  jQuery(Parent).height(info_frame.height +info_description.height   +"px");
-                     //  info_Cadre = jQuery(Parent).infos();
-
-                     //  jQuery("#Debug3").css({ top: info_Cadre.top + "px", height: info_Cadre.height + "px" }); //blue
+                     if (theme.match(RegExp("stripped", "gi"))) {
+                         pos = "absolute";
+                         t1 = info_imageInfoBar.bottom;
+                         l1 = info_imageInfoBar.left;
+                     } else {
+                         pos = "absolute";
+                         t1 = info_frame.top;
+                         l1 = info_frame.left;
+                     }
+                     //   jQuery(Cadre).css("border", "solid green");
+                     margins = jQuery(Cadre).css("margin");
                      jQuery("#Debug5").css({ background: "transparent",
+                         position: pos,
                          border: "red solid 2px",
-                         top: info_frame.top + "px",
-                         left: info_frame.left + "px",
+                         textAlign: align_auto,
+                         margin: "4px",
+                         top: t1 + "px",
+                         left: l1 + "px",
                          width: info_frame.width + "px",
                          height: info_frame.height + "px"
@@ -930,6 +967,7 @@
                  *
                  */
+                  
                  function Info_entete(Parent) {
-
+                     if (typeof (marge_top) != "undefined") return result;
                      info_imageToolBar = jQuery("#imageToolBar").infos();
                      if (info_imageToolBar.position == "absolute") {
@@ -937,14 +975,25 @@
                          jQuery("#imageToolBar").css("top", 0 + "px");
                      }
-
+                     optiontop = 0;
+                     
+                     info_imageInfoBar = jQuery("#imageInfoBar").infos();
+
+
+                    info_theImgContainer = jQuery("#"+ "theImgContainer").infos();
                      info_theImage = jQuery(Parent).infos();
-
-
-                     if (info_theImage.position == "relative") {
-                         //--- passage relative ==> static ===/
-                         jQuery(Parent).css("position", "static");
-                         info_theImage = jQuery(Parent).infos();
-
-                     }
+                 info_thePicturePage =   jQuery("#thePicturePage").infos();
+
+
+                 if (info_theImage.position == "relative") {
+                     //--- passage relative ==> static ===/
+                     jQuery(Parent).css("position", "static");
+                     info_theImage = jQuery(Parent).infos();
+
+                 } else {
+                   if ( theme.match(RegExp("stripped", "gi")))  
+                     {
+                        optiontop = info_imageInfoBar.bottom;
+                    }
+                 }
                      if (info_theImage.position == "absolute") {
                          //--- passage absolute ==> static ===/
@@ -956,7 +1005,11 @@
                      marge_top = Math.ceil(Info_the_page.top +
                                      Info_the_page.borderwidth.top +
-                                     info_theImage.borderwidth.top);
-
-                     img_top = Math.ceil(info_theImage.top + info_theImage.borderwidth.top);
+                                     info_theImage.borderwidth.top + 
+                                     info_thePicturePage.margin.top
+                                     );
+
+                     img_top = Math.ceil(info_theImage.top +
+                      info_theImage.borderwidth.top +
+                       info_thePicturePage.margin.top + optiontop);
                      result = info_imageToolBar;
                      result.width = "20%";
@@ -1006,6 +1059,5 @@
 
 
-                     Bandeau_t = Info_entete(Parent)
-                     Bandeau = Bandeau_t.img_top;
+
                      llgboframe = jQuery("#gbo div:first");
                      marges_llgbo = 0;
@@ -1014,10 +1066,13 @@
                      if (llgboframe.length > 0) {
                          ll0 = jQuery("#gbo").infos();
-                         ll1 = jQuery("#llgboframe31").infos();
-                         ll2 = jQuery("#llgboframe1").infos();
-                         marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
-                     }
-
-
+                         ll1 = jQuery("#gbo div:first").infos();
+                         ll12 = jQuery("#gbo div:last").infos(); ;
+                         ll1 = jQuery("#"+ll1.id).outerWidth(true);
+                         ll2 = jQuery("#" + ll12.id).outerWidth(true);
+                         marges_llgbo = ((ll1 - ll2)*2) + ll0.borderwidth.left + ll0.borderwidth.right;
+                     }
+
+                     Bandeau_t = Info_entete(Parent)
+                     Bandeau = Bandeau_t.img_top;
 
                      if (theme.match(RegExp("simple", "gi"))) {
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7961)
+++ /extensions/Autosize/js/conflit.js	(revision 7962)
@@ -8,4 +8,5 @@
 var init_tb = 0;
 var dom = {};
+
 if (typeof jQuery == 'undefined') {
     alert(" jQuery n'est pas chargé");
@@ -14,4 +15,12 @@
 }
 
+try{
+    if (DEBUG == "true") {
+
+    }
+}catch(e)
+{
+    DEBUG = "false";
+}
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
Index: /extensions/Autosize/language/en_UK/lang.php
===================================================================
--- /extensions/Autosize/language/en_UK/lang.php	(revision 7961)
+++ /extensions/Autosize/language/en_UK/lang.php	(revision 7962)
@@ -1,4 +1,9 @@
 <?php
 global $lang;
+
+$lang['cl_autosize_miniheight2'] = 'Minimum height picture size';
+$lang['cl_autosize_miniwidth2'] = 'Minimum width picture size';
+$lang['cl_autosize_hlp_line32'] = "Minimum picture size. "  ;
+
 $lang['cl_autosize_enabled'] = "Enabled";
 $lang['cl_autosize_desc_view'] = "Inclure la description et la licence dans le calcul";
Index: /extensions/Autosize/language/fr_FR/lang.php
===================================================================
--- /extensions/Autosize/language/fr_FR/lang.php	(revision 7961)
+++ /extensions/Autosize/language/fr_FR/lang.php	(revision 7962)
@@ -1,4 +1,10 @@
 <?php
 global $lang;
+$lang['cl_autosize_hlp_line3'] = "Si la taille originale de la photo à afficher est inférieure à cette valeur, le redimensionnement automatique sera inhibé. "  ;
+
+$lang['cl_autosize_miniheight2'] = 'Hauteur d\'affichage minimum';
+$lang['cl_autosize_miniwidth2'] = 'Largeur d\'affichage  minimum';
+$lang['cl_autosize_hlp_line32'] = "Taille minimun de la photo affichée. "  ;
+
 $lang['cl_autosize_fade_in'] = "Fondu à l'ouverture";
 $lang['cl_autosize_hlp_fade_in'] = "Temp en millisecondes avant d'afficher l'image(Fondu à l'ouverture)"; 
@@ -23,5 +29,5 @@
 $lang['cl_autosize_miniwidth'] = 'Largeur minimum';
 
-$lang['cl_autosize_hlp_line3'] = "Si la taille de la photo à afficher est inférieure à cette valeur, le redimensionnement automatique sera inhibé. "  ;
+
 
 $lang['cl_autosize_echelle_max'] = "Echelle maximum.";  
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7961)
+++ /extensions/Autosize/main.inc.php	(revision 7962)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.9.5
+Version: 1.3.9.6
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Index: /extensions/Autosize/template/autosize.tpl
===================================================================
--- /extensions/Autosize/template/autosize.tpl	(revision 7961)
+++ /extensions/Autosize/template/autosize.tpl	(revision 7962)
@@ -20,4 +20,6 @@
     var mini_width='{ $MINI_WIDTH   }';
     var mini_height = '{ $MINI_HEIGHT   }';
+    var mini_width2 = '{ $MINI_WIDTH2 }';
+    var mini_height2 = '{ $MINI_HEIGHT2 }';
 
     var webmaster_width='{$webmaster_width   }';
Index: /extensions/Autosize/template/conflit.tpl
===================================================================
--- /extensions/Autosize/template/conflit.tpl	(revision 7961)
+++ /extensions/Autosize/template/conflit.tpl	(revision 7962)
@@ -1,18 +1,28 @@
 {html_head} 
-  <!--- Autosize/template/confilt.tpl (head) --->    
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
-{known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
-{known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-
-
-
+  <!--- Autosize/template/confilt.tpl (head) --->  
+  <!--- Ajout scripts {$AUTOSIZE_PATH}--->   
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"  now=1} <!--- jquery.packed.js ---> 
+{known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}<!--- conflit.js ---> 
+{known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"}<!---jquery.dimensions.js ---> 
+<!--- fin Ajout scripts  ---> 
 <script type="text/javascript">
     var DEBUG = '{$DEBUG}';
     var theme = '{$theme}';
-var cl_version = '{$cl_version}';
+    var cl_version = '{$cl_version}';
     var cl_plugin = '{$name}';
+    var cl_query = '{$autosize_parametres->query}';
+    var cl_type = '{$autosize_parametres->type}';
+    var cl_plugins=new Array();
+{if $DEBUG}
+ {if not empty($cl_plugins )}
+   {foreach from=$cl_plugins item=cl_plug }
+        value="{$cl_plug}";cl_plugins.push(value);           
+    {/foreach}
+ {/if}
+{/if}
 </script>
 <!---FIN Autosize/template/confilt.tpl (/head) --->	
 {/html_head} 
+
 <!--- Autosize/template/confilt.tpl (body) --->  
 
